Bug 1546774 - dogtail: python3-dogtail requires both Python 2 and Python 3
Summary: dogtail: python3-dogtail requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dogtail
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Humpa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 15:03 UTC by Iryna Shcherbina
Modified: 2018-11-15 09:30 UTC (History)
3 users (show)

Fixed In Version: dogtail-0.9.11-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 03:14:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1650055 None CLOSED dogtail: Remove (sub)packages from Fedora 30+: python2-dogtail 2019-02-27 11:42:19 UTC

Internal Links: 1650055

Description Iryna Shcherbina 2018-02-19 15:03:58 UTC
The python3-dogtail (0.9.9-9.fc28) RPM requires both Python 2 and Python 3:

$ dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python3-dogtail | grep python
/usr/bin/python2
python(abi) = 3.6
...

This happened due to recently introduced shebangs mangling [0], and you might see the warnings in the build log:

> *** WARNING: mangling shebang in ./usr/bin/dogtail-logout from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
*** WARNING: mangling shebang in ./usr/bin/dogtail-run-headless-next from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
> *** WARNING: mangling shebang in ./usr/bin/dogtail-detect-session from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
> *** WARNING: mangling shebang in ./usr/bin/sniff from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
> *** WARNING: mangling shebang in ./usr/bin/dogtail-run-headless from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!

The executables contain `#!/usr/bin/env python` shebang, which is forbidden by the guidelines and is automatically mangled to `#!/usr/bin/python2` during build. Please fix the shebang to be `#!/usr/bin/python3` explicitly [1].


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://pagure.io/packaging-committee/issue/738#comment-490366
[1] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#fixing-shebangs

Comment 1 Fedora End Of Life 2018-02-20 15:33:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Miro Hrončok 2018-11-07 22:29:05 UTC
Can we switch this for Python 3 only?

Comment 3 Vitezslav Humpa 2018-11-08 09:15:10 UTC
Indeed, I will remove the overall dependency on py2, also update the scripts' shebangs accordingly in f28 and f29.

Comment 4 Fedora Update System 2018-11-13 15:18:39 UTC
dogtail-0.9.11-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9a128251e7

Comment 5 Fedora Update System 2018-11-14 06:02:04 UTC
dogtail-0.9.11-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9a128251e7

Comment 6 Miro Hrončok 2018-11-14 06:56:56 UTC
I thought we agreed to make dogtail Python 3 only.

dogtail-0.9.11-1.fc30 fixes the originally reported problem yet still builds python2-dogtail.

Comment 7 Fedora Update System 2018-11-15 03:14:54 UTC
dogtail-0.9.11-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.